package com.muzhi.donghang.controller;

import com.muzhi.donghang.service.AccessTokenService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author ZhangKan
 * @Data 15:03
 */

@Api(description = "钉钉授权AccessToken")
@RestController
@RequestMapping("/dingservice")
@CrossOrigin//解决跨域问题
public class AccessTokenController {

    @Autowired
    private AccessTokenService AccessTokenService;

    //获取钉钉中的access_token（牧之测试架构4）
    @ApiOperation(value = "获取钉钉中的access_token")
    @GetMapping("getMuZhiAccessToken")
    public String getMuZhiAccessToken(){

        String muZhiAccessToken = AccessTokenService.getMuZhiAccessToken();
        return muZhiAccessToken;
    }
}
