package com.muzhi.donghang.service;

import java.util.List;
import java.util.Map;

/**
 * @Author ZhangKan
 * @Data 15:34
 */
public interface EmployeeService {

    //获取钉钉员工花名册主部门ID
    String getMainDeptId(String userid);

    //获取指定部门的所有父部门id列表
    List getDeptIdList(String userid);

    //======【最终接口】获取主架构部门名称======
    String getMainDeptName();

    //======【最终接口】根据所有的父部门id列表获取各个部门的名称======
    String getDeptName(String userid);

    //======【最终接口】获取钉钉员工入职日期，并换算入职天数======
    String getJoinDay(String userid);

    //======【最终接口】当前人员的本月实际出勤天数======
    String getChuQinDays(String userid);

    //===【最终接口】获取当前人员的主部门下的人员，并循环获取每个人员的考勤打卡===
    String getDeptDaKa(String userid);

    //===【最终接口】获取当前人员的主部门下的人员，并循环获取每个人员是否请假===
    String getDeptQingJia(String userid);

    //===【最终接口】获取钉钉日程信息===
    Map getSchedule(String userid);

    //===【最终接口】获取天气===
    Map getWeather();
}
