package com.muzhi.donghang.APITest;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.dingtalk.api.DefaultDingTalkClient;
import com.dingtalk.api.DingTalkClient;
import com.dingtalk.api.request.OapiAttendanceGetcolumnvalRequest;
import com.dingtalk.api.response.OapiAttendanceGetcolumnvalResponse;
import com.muzhi.donghang.service.AccessTokenService;
import com.taobao.api.ApiException;
import com.taobao.api.internal.util.StringUtils;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

@SpringBootTest
public class Test1 {

    @Autowired
    private AccessTokenService accessTokenService;

    @Test
    public void panduan(){
        //判断日期是否为周六周日
        String date = "2022-10-08 00:00:00";
        DateFormat format = new SimpleDateFormat("yyyy-MM-dd");
        Date date1 = null;
        try {
            date1 = format.parse(date);
            System.out.println("date1：" + date1);
        }catch (Exception e){
            e.printStackTrace();
        }
        Calendar calendar = Calendar.getInstance();
        calendar.setTime(date1);

        if (calendar.get(Calendar.DAY_OF_WEEK)==Calendar.SATURDAY||calendar.get(Calendar.DAY_OF_WEEK)==Calendar.SUNDAY){
            System.out.println("当前日期为周六周日！");
        }else {
            System.out.println("当前日期为工作日");
        }
    }

    @Test
    public void date(){
        //获取当天前一天的零点零分零秒
        Date Date = new Date(System.currentTimeMillis());
        System.out.println("当前时间：" + Date);
        Calendar calendar = Calendar.getInstance();
        calendar.setTime(Date);
        //前一天
        calendar.add(Calendar.DAY_OF_MONTH,-1);
        calendar.set(Calendar.HOUR_OF_DAY,0);
        calendar.set(Calendar.MINUTE,0);
        calendar.set(Calendar.SECOND,0);
        calendar.set(Calendar.MILLISECOND,0);
        String time = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(calendar.getTime());
        System.out.println("前一天零点：" + time);

        Calendar calendar111 = Calendar.getInstance();
        calendar111.setTime(Date);
        //前一个月第一天
        calendar111.add(Calendar.MONTH,-1);
        calendar111.set(Calendar.DAY_OF_MONTH,1);
        calendar111.set(Calendar.HOUR_OF_DAY,0);
        calendar111.set(Calendar.MINUTE,0);
        calendar111.set(Calendar.SECOND,0);
        calendar111.set(Calendar.MILLISECOND,0);
        String FORMtime = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(calendar111.getTime());
        System.out.println("前一个月第一天零点：" + FORMtime);

        Calendar calendar222 = Calendar.getInstance();
        int month222 = calendar222.get(Calendar.MONTH);
        //前一个月最后一天
        calendar222.set(Calendar.MONTH,month222-1);
        calendar222.set(Calendar.DAY_OF_MONTH,calendar222.getActualMaximum(Calendar.DAY_OF_MONTH));
        calendar222.set(Calendar.HOUR_OF_DAY,0);
        calendar222.set(Calendar.MINUTE,0);
        calendar222.set(Calendar.SECOND,0);
        calendar222.set(Calendar.MILLISECOND,0);
        String TOtime = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(calendar222.getTime());
        System.out.println("前一个月最后一天零点：" + TOtime);
    }
}